	
	
	/*
		"Blunt" GA Installer
		Created by John A. Huebner II
		Installs GA and adds onclick events to outbound, email and download links
		Can add onsubmit events to forms
		Also installs ShareThis scripts if required/setup
		ShareThis is already connected to the GA account if that setup is provided with the GA Account #
		
		there are lots of comments in here, this is still somewhat of a work in progress
		everything seems to be working but I doubt I have tested every conceivable possibility
		and I may continue to add minor imporvements since this is a recent (2012) reworking of and older script
		that tracked these same things as virtual page views rather than as events
		
		if any problems are found please report them to hube02@earthlink.net or johnhuebner@site-seeker.com
		
		Version 3, all settings moved to exteranl php file, for sites without php the JSON value could 
		be genereated by other languages or added/entered manually
		this file will not work on its own, it requires an options/settings file/script
		
		see the setting file for all settings
		
	*/
	
	var bluntGA_debug = false;
	
	// fix ie indexOf on array
	if (!Array.prototype.indexOf) {
		Array.prototype.indexOf = function(obj, start) {
			var value = -1;
			var len = this.length;
			for (var i=(start || 0); i<len; i++) {
				if (this[i] === obj) {
					value = i;
				}
			}
			return value;
		} // end method create
	} // end if not indexOf exists
	
	// *********************************************************************
	// install GA and link tracking
	
	//alert(unescape(bluntGA_options));
	if (bluntGA_options != 'undefined') {
		bluntGA_options = eval(unescape(bluntGA_options));
	}
	
	// do this in the global scope, just in case
	var _gaq = _gaq || [];
	
	if (bluntGA_options && bluntGA_options['ga_account'] != '') {
		//alert('here');
		// normal ga calls here, this is basically just the GA code usually given
		// but has been modified to allow cross site tracking and tracking of virtual pages for cross site tracking
		
		// the only main difference is that it checks that a GA accout value is set before installing
		// 		i.e. the if statement above
		
		// any normal GA settings can be used here
		// however, modfications should be made to make them settings so this part of the script does not need to be edited
		
		if (!bluntGA_debug) {
			_gaq.push(['_setAccount', bluntGA_options['ga_account']]);
		} else {
			alert('_gaq.push([\'_setAccount\', '+bluntGA_options['ga_account']+'])')
		}
		
		// set sample rate if not 1
		// make sure it is an int from 2 to 10 before setting
		// this portion of the code is incorrect as this is supposed to be a %
		// disabling this until possibly re-implementing it in the future
		/*
		var theRate = Math.round(bluntGA_options['sample_rate']);
		if (theRate < 1) {
			theRate = 1;
		} else if (theRate > 10) {
			theRate = 10;
		}
		if (bluntGA_options['sample_rate'] > 1) {
			_gaq.push(['_setSampleRate', bluntGA_options['sample_rate']]);
		}
		*/
		
		// get the page location to use for pageview so that we can alter it if needed
		var blundGApageLocation = document.location.pathname;
		if (bluntGA_options['anchors']['enable']) {
			_gaq.push(['_setAllowAnchor', true]);
			blundGApageLocation += document.location.hash;
		}
		if (bluntGA_options['cross_site']['enable'] && bluntGA_options['cross_site']['domain'] != '') {
			if (!bluntGA_debug) {
				_gaq.push(['_setDomainName', bluntGA_options['cross_site']['domain']]);
			} else {
				alert('_gaq.push([\'_setDomainName\', '+bluntGA_options['cross_site']['domain']+']);')
			}
			if (bluntGA_options['cross_link']['enable']) {
				if (!bluntGA_debug) {
					_gaq.push(['_setAllowLinker', true]);
				} else {
					alert('_gaq.push([\'_setAllowLinker\', true]);');
				}
			}
			
			blundGApageLocation = '/'+bluntGA_options['cross_site']['prefix']+'/'+blundGApageLocation+'/'+bluntGA_options['cross_site']['sufix']+'/';
			blundGApageLocation = blundGApageLocation.replace(/\/+/g, '/');
		}
		
		if (!bluntGA_debug) {
			_gaq.push(['_trackPageview', blundGApageLocation]);
		} else {
			alert('_gaq.push([\'_trackPageview\', '+blundGApageLocation+'])');
		}
		
		
		(function() {
			var ga = document.createElement('script'); 
			ga.type = 'text/javascript';
			ga.async = true;
			ga.src = ('https:' == document.location.protocol ? 'https:/'+'/ssl' : 'http:/'+'/www') + '.google-analytics.com/ga.js';
			var s = document.getElementsByTagName('script')[0];
			s.parentNode.insertBefore(ga, s);
		})();
		// end GA installation
		// *********************************************************************
		
		// add event listener to document to add event tracking
		if (window.addEventListener) {
			window.addEventListener('load', bluntGA_addEvents, false);
		} else if (window.attachEvent) {
			window.attachEvent('onload', bluntGA_addEvents);
		}
		// end add listener
		// *********************************************************************
		
		// if setting up GA see if we should set up sharethis
		if (bluntGA_options['sharethis']['enable'] && bluntGA_options['sharethis']['publisher_id'] != '') {
			var switchTo5x  = bluntGA_options['sharethis']['switchTo5x'];
			var sharethisEL = document.createElement('script');
			sharethisEL.type = 'text/javascript';
			sharethisEL.async = true;
			sharethisEL.src = 'http:/'+'/w.sharethis.com/button/buttons.js';
			// stlight.options cannot be set until the the sharethis script is loaded
			// adding an onload function to the script ensures it is loaded before trying to access its properties
			if (window.addEventListener) {
				// standards compliant
				sharethisEL.addEventListener('load', bluntGA_sharethisOptions, false);
			} else if (window.attachEvent) {
				// IE
				sharethisEL.attachEvent('onload', bluntGA_sharethisOptions);
			} else {
				// unable to add event listener, extremely rare (I have not seen this happen)
			}
			var ss = document.getElementsByTagName('script')[0];
			ss.parentNode.insertBefore(sharethisEL, s);
		} // end if sharethis
	}
	
	// *********************************************************************
	// called when the sharethis script load event triggers
	function bluntGA_sharethisOptions() {
		stLight.options({publisher:bluntGA_options['sharethis']['publisher_id']});
	} // end function bluntGA_sharethisOptions
	// *********************************************************************
	
	// *********************************************************************
	// main class
	function bluntGA_addEvents() {
		var theLoc = 'http:/'+'/'+location.host;
		var theLocLen = theLoc.length;
		var theSecLoc = 'https:/'+'/'+location.host;
		var theSecLocLen = theLoc.length;
		
		if (bluntGA_options['external']['enable'] || 
				bluntGA_options['mailto']['enable'] || 
				bluntGA_options['document']['enable'] || 
				bluntGA_options['anchors']['enable'] ||
				bluntGA_options['click_to_call']['enable']) {
			addAnchorClickEvents();
		}
		
		if (bluntGA_options['form']['enable']) {
			addFromSubmitEvents();
		}
		
		if (bluntGA_options['conversions']['enable']) {
			trackConversion();
		}
		
		function addAnchorClickEvents() {
			var theAnchors = document.getElementsByTagName('a');
			var anchorsLength = theAnchors.length;
			for (var i=0; i<anchorsLength; i++) {
				var theMethod = '';
				var theCategory = '';
				var theAction = '';
				var theLabel = document.location.pathname.replace(/#.*$/, '');
				if (bluntGA_options['cross_site']['enable']) {
					theLabel = '/'+bluntGA_options['cross_site']['prefix']+'/'+theLabel+'/'+bluntGA_options['cross_site']['sufix']+'/';
					theLabel = theLabel.replace(/\/+/g, '/');
				}
				var theValue = 0;
				var theNonInteract = true;
				var theTarget = '';
				var theDelay = 0.0;
				var followLink = true;
				var theHref = theAnchors[i].getAttribute('href');
				// once an event is tracked in a given way this will be set to true additional checks are not made to save time
				var eventTracked = false;
				var addTracking = false;
				if (theHref != '' && theHref != null) {
					theHref = stripThisDomain(theHref);
					// now we have the location without being a fully qualified url to this site
					// check for external/email/document links
					
					// check for special links here, for example a link to twitter
					// this would change the categories/actions/labels/etc to those of the special links
					// **********************************************************************************************************************
					// we have not added looking for special links for twitter, youtube, linkedin, facebook and others
					// instead opting to always use ShareThis (http://sharethis.com/) for social tracking on client sites
					
					// check for protocol in link
					// means external link
					if (!eventTracked && isExteranlLink(theHref)) {
						if (isLinkedDomain(theHref)) {
							followLink = false;
						}
						// this is an external link
						eventTracked = true;
						// see if we should track external events
						if (bluntGA_options['external']['enable']) {
							addTracking = true;
							// set values for event tracking
							theMethod = bluntGA_options['external']['method'];
							theCategory = bluntGA_options['external']['category'];
							theAction = theHref;
							theNonInteract = bluntGA_options['external']['non_interact'];
							// added feature, add a target="_blank" to all outbound links
							theDelay = bluntGA_options['external']['delay'];
							if (bluntGA_options['external']['new_window']) {
								theTarget = '_blank';
							}
						} // end if external links tracking enabled
					} // end if external
					
					// mailto link
					if (!eventTracked && isMailtoLink(theHref)) {
						// mailto link
						eventTracked = true;
						// see if we are tracking email links
						if (bluntGA_options['mailto']['enable']) {
							addTracking = true;
							// set values for event tracking
							theMethod = bluntGA_options['mailto']['method'];
							theCategory = bluntGA_options['mailto']['category'];
							//theAction = bluntGA_options['mailto']['action'];
							theAction = theHref.replace(/^mailto:/, '');
							theNonInteract = bluntGA_options['mailto']['non_interact'];
							// added feature, add a target="_blank" to all outbound links
							theDelay = bluntGA_options['mailto']['delay'];
							if (bluntGA_options['mailto']['new_window']) {
								theTarget = '_blank';
							}
						} // end if email links tracked
					} // end if mailto
					
					if (!eventTracked && isPhoneLink(theHref)) {
						// click to call link
						if (bluntGA_options['click_to_call']['enable']) {
							addTracking = true;
							// set values for event tracking
							theMethod = bluntGA_options['click_to_call']['method'];
							theCategory = bluntGA_options['click_to_call']['category'];
							//theAction = bluntGA_options['mailto']['action'];
							theAction = theHref.replace(/^tel:/, '');
							theNonInteract = bluntGA_options['click_to_call']['non_interact'];
							// added feature, add a target="_blank" to all outbound links
							theDelay = bluntGA_options['click_to_call']['delay'];
							if (bluntGA_options['click_to_call']['new_window']) {
								theTarget = '_blank';
							}
						} // end if phone lings enabled
					} // end if phone link
					
					// download link 
					if (!eventTracked && isDocumentLink(theHref)) {
						// this is a trackable extension for download
						// download link
						eventTracked = true;
						// see if we are tracking document links
						if (bluntGA_options['document']['enable']) {
							addTracking = true;
							// set values for event tracking
							theMethod = bluntGA_options['document']['method'];
							theCategory = bluntGA_options['document']['category'];
							theAction = theHref;
							theNonInteract = bluntGA_options['document']['non_interact'];
							// added feature, add a target="_blank" to all outbound links
							theDelay = bluntGA_options['document']['delay'];
							if (bluntGA_options['document']['new_window']) {
								theTarget = '_blank';
							}
						} // end if tracking document links
					} // end if download
					
					if (!eventTracked && isReferenceLink(theHref)) {
						// a click to an anchor on the same page
						eventTracked = true;
						var theAnchor = getAnchorName(theHref);
						if (bluntGA_options['anchors']['enable']) {
							addTracking = true;
							theMethod = bluntGA_options['anchors']['method'];
							theCategory = bluntGA_options['anchors']['category'];
							theAction = theAnchor;
							theNonInteract = bluntGA_options['anchors']['non_interact'];
							// added feature, add a target="_blank" to all outbound links
							theDelay = bluntGA_options['anchors']['delay'];
							if (bluntGA_options['anchors']['new_window']) {
								theTarget = '_blank';
							}
						}
					} // end if isReferenceLink
					
					// need to allow some way for developers to add tracking events to any element
					// or to links that go to new pages but have javascript to load something
					// using ajax or other things of this nature
					
					
					// add event to link
					if (addTracking) {
						// add event tracking function to anchor
						theAnchors[i].setAttribute('data-ga_method', theMethod);
						theAnchors[i].setAttribute('data-ga_category', theCategory);
						theAnchors[i].setAttribute('data-ga_action', theAction);
						theAnchors[i].setAttribute('data-ga_label', theLabel);
						theAnchors[i].setAttribute('data-ga_value', theValue);
						theAnchors[i].setAttribute('data-ga_nonInteract',theNonInteract);
						theAnchors[i].setAttribute('data-ga_delay', theDelay);
						theAnchors[i].setAttribute('data-ga_link', followLink);
						var currentTarget = theAnchors[i].getAttribute('target');
						if (theTarget != '' && (currentTarget == '' || currentTarget == null)) {
							theAnchors[i].setAttribute('target', theTarget);
						}
						if (window.addEventListener) {
							// most browsers
							if (followLink) {
								theAnchors[i].addEventListener('click', function() {bluntGA_trackEvent(this);}, false);
							} else {
								theAnchors[i].addEventListener('click', function(e) {bluntGA_trackEvent(this);e.preventDefault();}, false);
							}
						} else if (window.attachEvent) {
							// windows/IE
							if (followLink) {
								theAnchors[i].attachEvent('onclick', function() {bluntGA_trackEvent(this);});
							} else {
								theAnchors[i].attachEvent('onclick', function(e) {bluntGA_trackEvent(this);e.preventDefault();});
							}
						} // end if else
					} // end if addTracking
					
				} // end check for href is defined
			} // end for i = length of anchors
			
		} // end function addAnchorClickEvents
		
		function addFromSubmitEvents() {
			var formCount = document.forms.length;
			if (formCount > 0) {
				var theMethod = bluntGA_options['form']['method'];
				var theCategory = bluntGA_options['form']['category'];
				var theValue = 0;
				var theDelay = bluntGA_options['form']['delay'];
				var theLink = false;
				for (var i=0; i<formCount; i++) {
					var theAction = '';
					var theNonInteract = bluntGA_options['form']['non_interact'];
					var theFormName = '';
					var theFormFrom = '';
					var theFormTo = '';
					var theLabel = '';
					// to track we need the form name and the place it is submitted to
					// label will be the form name, page it is on and page submitted to
					if (document.forms[i].getAttribute('name')) {
						var theFormName = 'Form Name: '+document.forms[i].getAttribute('name');
					} else if (document.forms[i].getAttribute('id')) {
						var theFormName = 'Form ID'+document.forms[i].getAttribute('id');
					}
					if (theFormName == '' || theFormName == null) {
						theFormName = 'Form#'+i;
					}
					var theFormFrom = document.location.pathname.replace(/#.*$/, '');
					if (document.forms[i].getAttribute('action')) {
						var theFormTo = document.forms[i].getAttribute('action');
						theFormTo = theFormTo.replace(/#.*$/, '');
					}
					if (theFormTo != '' && theFormTo != null) {
						theFormTo = stripThisDomain(theFormTo);
						if (isExteranlLink(theFormTo)) {
							theNonInteract = true;
						}
					}
					if (theFormFrom == theFormTo || theFormTo == '') {
						theFormTo = 'same';
					}
					var theAction = theFormName;
					var theLabel = 'From: '+theFormFrom+'; To: '+theFormTo;
					if (bluntGA_options['cross_site']['enable']) {
						theLabel = '/'+bluntGA_options['cross_site']['prefix']+'/'+theLabel+'/'+bluntGA_options['cross_site']['sufix']+'/';
						theLabel = theLabel.replace(/\/+/g, '/');
					}
					document.forms[i].setAttribute('data-ga_method', theMethod);
					document.forms[i].setAttribute('data-ga_category', theCategory);
					document.forms[i].setAttribute('data-ga_action', theAction);
					document.forms[i].setAttribute('data-ga_label', theLabel);
					document.forms[i].setAttribute('data-ga_value', theValue);
					document.forms[i].setAttribute('data-ga_nonInteract', theNonInteract);
					document.forms[i].setAttribute('data-ga_delay', theDelay);
					document.forms[i].setAttribute('data-ga_link', true);
					if (window.addEventListener) {
						// most browsers
						document.forms[i].addEventListener('submit', function(){bluntGA_trackEvent(this);}, false);
					} else if (window.attachEvent) {
						// windows/IE
						document.forms[i].attachEvent('onsubmit', function(){bluntGA_trackEvent(this);});
					}
				} // end for each form
			} // end if count forms > 0
		} // end function addFormSubmitEvents
			
		function stripThisDomain(theUrl) {
			// see if the link is a fully qualified URL back to this domain
			// need to check both secure and non-secure versions
			// if it is, strip off the location host from the link
			theUrl = String(theUrl);
			if (theUrl.indexOf(theLoc) == 0) {
				theUrl = theUrl.substring(theLocLen);
			}
			if (theUrl.indexOf(theSecLoc) == 0) {
				theUrl = theUrl.substring(theSecLocLen);
			}
			return theUrl;
		} // end function stripThisDomain
		
		function isDocumentLink(theUrl) {
			var theReturn = false;
			var theExtension = theUrl.split('.').pop();
			if (bluntGA_options['document']['extensions'].indexOf(theExtension) != -1) {
				theReturn = true;
			}
			return theReturn;
		} // end function isDocumentLink
		
		function isPhoneLink(theUrl) {
			var theReturn = false;
			if (theUrl.indexOf('tel:') == 0) {
				theReturn = true;
			}
			return theReturn;
		}
		
		function isMailtoLink(theUrl) {
			var theReturn = false;
			if (theUrl.indexOf('mailto:') == 0) {
				theReturn = true;
			}
			return theReturn;
		} // end function isMailtoLink
		
		function isExteranlLink(theUrl) {
			var theReturn = false;
			if (theUrl.indexOf(':/'+'/') != -1) {
				theReturn = true;
			}
			return theReturn;
		} // end function isExteranlLink
		
		function isLinkedDomain(theURL) {
			// see if domeain is in list of linked domains
			var theReturn = false;
			var theDomain = theURL.replace(/^[^\:]*:\/\/([^\/]*).*$/, '$1');
			theDomain = theDomain.toLowerCase();
			if (bluntGA_options['cross_link']['domains'].indexOf(theDomain) != -1) {
				theReturn = true;
			}
			return theReturn;
		} // end function isLinkedDomain
		
		function isReferenceLink(theUrl) {
			var theReturn = false;
			if (theUrl.indexOf('#') != -1) {
				// there is an anchor ref in link, see if it is the same page
				var theLocation = document.location.pathname.replace(/^(.*)#.+$/, '$1');
				theUrl = theUrl.replace(/^(.*)#.+$/, '$1');
				if (theUrl == '' || theUrl == theLocation) {
					theReturn = true;
				}
			}
			return theReturn;
		} // end function isReferenceLink
		
		function getAnchorName(theUrl) {
			return theUrl.replace(/^.*(#.+)$/, '$1');
		} // end function getAnchorName
		
		function trackConversion() {
			// if the current page is in the list of conversion page
			// track the conversion event
			var theLocation = document.location.pathname;
			// remove all query strings values in case this was a get form submission
			theLocation = theLocation.replace(/\?.*$/, '');
			var theHash = document.location.hash;
			if ((bluntGA_options['conversions']['pages'].indexOf(theLocation) != -1) || 
					(bluntGA_options['anchors']['enable'] && (bluntGA_options['conversions']['pages'].indexOf(theHash) != -1))) {
				if (bluntGA_options['anchors']['enable']) {
					theLocation += document.location;
				}
				var theReferer = document.referrer;
				if (theReferer != '') {
					theReferer = stripThisDomain(theReferer);
					theReferer = theReferer.replace(/\?.*$/, '');
				}
				var theMethod = bluntGA_options['conversions']['method'];
				var theCategory = bluntGA_options['conversions']['category'];
				var theAction = 'conversion';
				var theLabel = 'Page='+theLocation+'&From='+theReferer;
				if (bluntGA_options['cross_site']['enable']) {
					theLabel = '/'+bluntGA_options['cross_site']['prefix']+'/'+theLabel+'/'+bluntGA_options['cross_site']['sufix']+'/';
					theLabel = theLabel.replace(/\/+/g, '/');
				}
				var theValue = 0;
				var theNonInteract = bluntGA_options['conversions']['non_interact'];
				if (theMethod == 'event') {
					if (!bluntGA_debug) {
						_gaq.push(['_trackEvent', theCategory, theAction, theLabel, theValue, theNonInteract]);
					} else {
						alert('_gaq.push([\'_trackEvent\', '+theCategory+', '+theAction+', '+theLabel+', '+theValue+', '+theNonInteract+']);')
					}
				} else {
					// track as virtual page view instead of event
					theLabel = theLabel.replace('/'+bluntGA_options['cross_site']['prefix'], '');
					theLabel = theLabel.replace(bluntGA_options['cross_site']['sufix']+'/', '');
					var virtualPage = '/'+theCategory+'/'+'?action='+theAction+'&label='+theLabel+'/';
					if (bluntGA_options['cross_site']['enable']) {
						virtualPage = '/'+bluntGA_options['cross_site']['prefix']+'/'+virtualPage+'/'+bluntGA_options['cross_site']['sufix'];
					}
					virtualPage = virtualPage.replace(/\/+/g, '/');
					if (!bluntGA_debug) {
						_gaq.push(['_trackPageview', virtualPage]);
					} else {
						alert('_gaq.push([\'_trackPageview\', '+virtualPage+']);');
					}
				}
			} // end is conversion page
			
		} // end function trackConversion
		
	} // end function (class) bluntGA_addEvents
	// end main class
	// *********************************************************************
	
	// *********************************************************************
	// delay, called if a particular type of click needs a delay
	// to allow ping success
	function bluntGA_eventPause(delay) {
		// ga event tracking will not complete in some cases unless there is a slight pause
		// between the event being sent to google and the document location changing
		var waitUntil = (delay*1000)+new Date().getTime(); // wait until delay seconds from now
		while (new Date().getTime() < waitUntil){
			// do nothing, waiting for delay to expire	
		}
	} // end function bluntGA_eventPause
	// *********************************************************************
	
	// *********************************************************************
	// this is the actual function that is called when a link is clicked
	// attributes are collected and the event ping is sent to google
	// if _link is enabled, and it is a cross domain link, then the GA linker will be called
	function bluntGA_trackEvent(theLink) {
		// gets the attributes set at start up and sends the event tracking ping
		var theNode = '';
		if (theLink.nodeName) {
			theNode = theLink.nodeName.toLowerCase();
		}
		if (!theLink.nodeName && theNode != 'a' && theNode != 'form') {
			theLink = bluntGA_getLinkIE(window.event.srcElement);
			if (theLink === null) {
				// error, could not find the link or from element
				return;
			}
		}
		var category = theLink.getAttribute('data-ga_category');
		if (category) {
			var theMethod = theLink.getAttribute('data-ga_method');
			var action = theLink.getAttribute('data-ga_action');
			var label = theLink.getAttribute('data-ga_label');
			var value = theLink.getAttribute('data-ga_value');
			var nonInteract = theLink.getAttribute('data-ga_nonInteract');
			var delay = theLink.getAttribute('data-ga_delay');
			var theHref = theLink.getAttribute('href');
			var followLink = theLink.getAttribute('data-ga_link');
			if (followLink !== true && followLink !== false) {
				if (followLink == 'true') {
					followLink = true;
				} else {
					followLink = false;
				}
			}
			var target = theLink.getAttribute('target');
			if (target == null || target == '') {
				target = '';
			}
			//alert(followLink);
			//alert(bluntGA_options['cross_link']['event']);
			if (followLink || bluntGA_options['cross_link']['event']) {
				if (theMethod == 'event') {
					if(!bluntGA_debug) {
						_gaq.push(['_trackEvent', category, action, label, value, nonInteract]);
					} else {
						alert('_gaq.push([\'_trackEvent\', '+category+', '+action+', '+label+', '+value+', '+nonInteract+'])');
					}
				} else {
					// track as virtual page view instead of event
					var virtualPage = '/'+category+'/'+'?action='+action+'&label='+label+'/';
					if (bluntGA_options['cross_site']['enable']) {
						virtualPage = '/'+bluntGA_options['cross_site']['prefix']+'/'+virtualPage+'/'+bluntGA_options['cross_site']['sufix'];
					}
					virtualPage = virtualPage.replace(/\/+/g, '/');
					if (!bluntGA_debug) {
						_gaq.push(['_trackPageview', virtualPage]);
					} else {
						alert('_gaq.push([\'_trackPageview\', '+virtualPage+'])');
					}
				}
				bluntGA_eventPause(delay);
			}
			if (!followLink) {
				// cross domain link
				// I need to add ability to open a linked domain doc in a new window
				// or a target window name
				// currently it is not possible and GA does not allow it natively
				if (!bluntGA_debug) {
					_gaq.push(['_link', theHref]);
				} else {
					alert('_gaq.push([\'_link\', '+theHref+']);');
				}
			}
		} // end if there is a ga category set
	} // end function blunt_ga_track_event
	// *********************************************************************
	
	// *********************************************************************
	// This function is to fix the fact that IE does not pass "this" correctly
	// to the onclick events added to elements
	// and this function gets the real element that the event was attached to
	function bluntGA_getLinkIE(e) {
		var theNode = e.nodeName.toLowerCase();
		while (theNode != 'a' && theNode != 'form' && theNode != 'body') {
			e = e.parentNode;
			theNode = e.nodeName.toLowerCase();
		}
		if (theNode == 'body') {
			e = null;
		}
		return e;
	} // end function bluntGA_getLinkIE
	// *********************************************************************
	